Package com.avaya.clientservices.call

## Enum AllowedVideoDirection

- java.lang.Object
- - java.lang.Enum<AllowedVideoDirection>
  - - com.avaya.clientservices.call.AllowedVideoDirection

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<AllowedVideoDirection>`

      public enum AllowedVideoDirection
      extends java.lang.Enum<AllowedVideoDirection>

  Enumeration of different allowed video directions that can be used by the local application for a call session. Allowed video direction can be changed during call session and depends on call state, network availability and server limitations. Same time allowed video direction can be limited by conference server. Example: call started with video in send-receive direction but server limited allowed direction to receive only. Call will negotiate to receive only video and allowed video direction will be Receive only.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `NONE` | Video is not allowed.
    `RECEIVE_ONLY` | Receive-only video allowed.
    `SEND_ONLY` | Send-only video allowed.
    `SEND_RECEIVE` | Bi-directional video allowed.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AllowedVideoDirection` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static AllowedVideoDirection[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final AllowedVideoDirection NONE

      Video is not allowed.

    - #### SEND_RECEIVE

          public static final AllowedVideoDirection SEND_RECEIVE

      Bi-directional video allowed.

    - #### RECEIVE_ONLY

          public static final AllowedVideoDirection RECEIVE_ONLY

      Receive-only video allowed.

    - #### SEND_ONLY

          public static final AllowedVideoDirection SEND_ONLY

      Send-only video allowed.

  - ### Method Detail

    - #### values

          public static AllowedVideoDirection[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AllowedVideoDirection c : AllowedVideoDirection.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AllowedVideoDirection valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null